> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get AI Parameters

> The method for revealing basic information and advanced underlying settings that are used when performing AI-tasks.

  


Parameter sections:
- "language_support" – AI Translation: check if a language pair is supported or not for AI translation.
- this list will expand as new AI methods are added.

  


**`language_support`**

There are many languages available for transcription. But not all languages can be automatically translated to and from with good quality. In order to determine the availability of translation from the audio language to the desired subtitle language, you can use this type of "language_support".

AI models are constantly improving, so this method can be used for dynamic determination. 

Example:

```
curl -L 'https://api.gcore.com/streaming/ai/info?type=language_support&audio_language=eng&subtitles_language=fre'

{ "supported": true }
```

Today we provide the following capabilities as below.

These are the 100 languages for which we support only transcription and translation to English.
The iso639-2b codes for these are: ```afr, sqi, amh, ara, hye, asm, aze, bak, eus, bel, ben, bos, bre, bul, mya, cat, zho, hrv, ces, dan, nld, eng, est, fao, fin, fra, glg, kat, deu, guj, hat, hau, haw, heb, hin, hun, isl, ind, ita, jpn, jav, kan, kaz, khm, kor, lao, lat, lav, lin, lit, ltz, mkd, mlg, msa, mal, mlt, mri, mar, ell, mon, nep, nor, nno, oci, pan, fas, pol, por, pus, ron, rus, san, srp, sna, snd, sin, slk, slv, som, spa, sun, swa, swe, tgl, tgk, tam, tat, tel, tha, bod, tur, tuk, ukr, urd, uzb, vie, cym, yid, yor```.


These are the 77 languages for which we support translation to other languages and translation to: ```afr, amh, ara, hye, asm, aze, eus, bel, ben, bos, bul, mya, cat, zho, hrv, ces, dan, nld, eng, est, fin, fra, glg, kat, deu, guj, heb, hin, hun, isl, ind, ita, jpn, jav, kan, kaz, khm, kor, lao, lav, lit, mkd, mal, mlt, mar, ell, mon, nep, nno, pan, fas, pol, por, pus, ron, rus, srp, sna, snd, slk, slv, som, spa, swa, swe, tgl, tgk, tam, tel, tha, tur, ukr, urd, vie, cym, yor```.



## OpenAPI

````yaml /api-reference/services_documented/streaming_api.yaml get /streaming/ai/info
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-11T15:10:30.328297+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
    x-displayName: AI
  - name: Broadcasts
    x-displayName: Broadcasts
  - name: Directories
    x-displayName: Directories
  - name: Overlays
    x-displayName: Overlays
  - name: Players
    x-displayName: Players
  - name: Playlists
    x-displayName: Playlists
  - name: QualitySets
    x-displayName: QualitySets
  - name: Restreams
    x-displayName: Restreams
  - name: Streaming Statistics
    x-displayName: Statistics
  - name: Streams
    x-displayName: Streams
  - name: Subtitles
    x-displayName: Subtitles
  - name: Videos
    x-displayName: Videos
paths:
  /streaming/ai/info:
    get:
      tags:
        - AI
      summary: Get AI Parameters
      description: >-
        The method for revealing basic information and advanced underlying
        settings that are used when performing AI-tasks.

          


        Parameter sections:

        - "language_support" – AI Translation: check if a language pair is
        supported or not for AI translation.

        - this list will expand as new AI methods are added.

          


        **`language_support`**


        There are many languages available for transcription. But not all
        languages can be automatically translated to and from with good quality.
        In order to determine the availability of translation from the audio
        language to the desired subtitle language, you can use this type of
        "language_support".


        AI models are constantly improving, so this method can be used for
        dynamic determination. 


        Example:


        ```

        curl -L
        'https://api.gcore.com/streaming/ai/info?type=language_support&audio_language=eng&subtitles_language=fre'


        { "supported": true }

        ```


        Today we provide the following capabilities as below.


        These are the 100 languages for which we support only transcription and
        translation to English.

        The iso639-2b codes for these are: ```afr, sqi, amh, ara, hye, asm, aze,
        bak, eus, bel, ben, bos, bre, bul, mya, cat, zho, hrv, ces, dan, nld,
        eng, est, fao, fin, fra, glg, kat, deu, guj, hat, hau, haw, heb, hin,
        hun, isl, ind, ita, jpn, jav, kan, kaz, khm, kor, lao, lat, lav, lin,
        lit, ltz, mkd, mlg, msa, mal, mlt, mri, mar, ell, mon, nep, nor, nno,
        oci, pan, fas, pol, por, pus, ron, rus, san, srp, sna, snd, sin, slk,
        slv, som, spa, sun, swa, swe, tgl, tgk, tam, tat, tel, tha, bod, tur,
        tuk, ukr, urd, uzb, vie, cym, yid, yor```.



        These are the 77 languages for which we support translation to other
        languages and translation to: ```afr, amh, ara, hye, asm, aze, eus, bel,
        ben, bos, bul, mya, cat, zho, hrv, ces, dan, nld, eng, est, fin, fra,
        glg, kat, deu, guj, heb, hin, hun, isl, ind, ita, jpn, jav, kan, kaz,
        khm, kor, lao, lav, lit, mkd, mal, mlt, mar, ell, mon, nep, nno, pan,
        fas, pol, por, pus, ron, rus, srp, sna, snd, slk, slv, som, spa, swa,
        swe, tgl, tgk, tam, tel, tha, tur, ukr, urd, vie, cym, yor```.
      operationId: get_ai_info
      parameters:
        - name: type
          in: query
          required: true
          schema:
            type: string
            enum:
              - language_support
          description: The parameters section for which parameters are requested
        - name: audio_language
          in: query
          required: false
          schema:
            type: string
          description: >-
            The source language from which the audio will be transcribed.
            Required when ```type=language_support```. Value is 3-letter
            language code according to ISO-639-2 (bibliographic code), (e.g.,
            fre for French).
        - name: subtitles_language
          in: query
          required: false
          schema:
            type: string
          description: >-
            The target language the text will be translated into. If omitted,
            the API will return whether the `audio_language` is supported for
            transcription only, instead of translation. Value is 3-letter
            language code according to ISO-639-2 (bibliographic code), (e.g.,
            fre for French).
      responses:
        '200':
          description: Result of AI task execution
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ai_response_info_language'
        '400':
          description: >-
            Bad Request. One or more parameters were specified incorrectly,
            check the request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ai_badrequest'
        '422':
          description: >-
            This is advanced functionality; to enable it, contact your manager
            or the Support Team.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/upgraderequired'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            response = client.streaming.ai_tasks.get_ai_settings(
                type="language_support",
            )
            print(response.supported)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n\t\"github.com/G-Core/gcore-go/streaming\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Streaming.AITasks.GetAISettings(context.TODO(), streaming.AITaskGetAISettingsParams{\n\t\tType: streaming.AITaskGetAISettingsParamsTypeLanguageSupport,\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Supported)\n}\n"
components:
  schemas:
    ai_response_info_language:
      type: object
      properties:
        supported:
          type: boolean
          description: >-
            Is the given language pair supported for transcription and
            translation?
      example:
        supported: true
    ai_badrequest:
      type: object
      properties:
        error:
          type: string
          description: Error message
      example:
        error: Invalid config type
    upgraderequired:
      type: object
      properties:
        error:
          type: string
          description: >-
            This is advanced functionality; to enable it, contact your manager
            or support service.
      example:
        error: Feature is disabled. Contact support to enable.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````